<template>
  <v-container class="pa-0" v-if="documentsObject">
    <div class="docs-wrapper">
      <template v-for="doc in documentsName">
        <div :key="doc" v-if="documentsObject[doc]" class="pt-1 pb-1 d-flex align-center">
          <v-btn variant="text" block data-cy="FlightDocumentsListDownloadBtn" @click="downloadFile(documentsObject[doc])">
            <template #prepend>
              <v-icon>attach_file</v-icon>
            </template>
            <span class="d-inline-block text-truncate" style="max-width: 280px;">
              {{ documentsObject[doc].filename }}
            </span>
          </v-btn>
        </div>
      </template>
    </div>
  </v-container>
</template>

<script setup lang="ts">
import type { FlightDocument, FlightDocumentFile } from "~/dto/flight-document.dto";

defineProps<{
  documentsName: Exclude<(keyof FlightDocument), 'id'>[],
  documentsObject: FlightDocument
}>();

const emit = defineEmits(['download'])

const downloadFile = (document: FlightDocumentFile) => {
  emit('download', document);
}
</script>

<style lang="scss">
@import "../../assets/variables.scss";

.docs-wrapper {
  background-color: $blue-ultra-light;
  border-top-left-radius: 15px;
  border-bottom-left-radius: 15px;
  width: calc(100% + 20px);
  margin-right: -20px;
}
</style>
